Transfer (The Data Transfer Agent Service 2.1.3-4.7.1-132914 API)
Date: 2017-10-17

org.gcube.datatransfer.agent.impl.jdo

## Class Transfer

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.jdo.Transfer

- All Implemented Interfaces:
    Serializable

      public class Transfer
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `destID`
    `protected boolean` | `lastNotificationMsgSent`
    `protected String` | `outcome`
    `protected long` | `sizeTransferred`
    `protected String` | `sourceID`
    `protected String` | `status`
    `protected String` | `submitter`
    `protected String` | `submitterEndpoint`
    `protected int` | `totalReadTrees`
    `protected long` | `totalSize`
    `protected long` | `totalTransfers`
    `protected int` | `totalWrittenTrees`
    `protected long` | `transfersCompleted`
    `protected int` | `updates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transfer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDestID()`
    `String` | `getId()`
    `String` | `getOutcome()`
    `long` | `getSizeTransferred()`
    `String` | `getSourceID()`
    `String` | `getStatus()`
    `String` | `getSubmitter()`
    `String` | `getSubmitterEndpoint()`
    `int` | `getTotalReadTrees()`
    `long` | `getTotalSize()`
    `long` | `getTotaltransfers()`
    `long` | `getTotalTransfers()`
    `int` | `getTotalWrittenTrees()`
    `long` | `getTransfersCompleted()`
    `int` | `getUpdates()`
    `boolean` | `isLastNotificationMsgSent()`
    `void` | `setDestID(String destID)`
    `void` | `setId(String transferId)`
    `void` | `setLastNotificationMsgSent(boolean lastNotificationMsgSent)`
    `void` | `setOutcome(String outcome)`
    `void` | `setSizeTransferred(long sizeTransferred)`
    `void` | `setSizeTransferred(Long sizeTransferred)`
    `void` | `setSourceID(String sourceID)`
    `void` | `setStatus(String status)`
    `void` | `setSubmitter(String submitter)`
    `void` | `setSubmitterEndpoint(String submitterEndpoint)`
    `void` | `setTotalReadTrees(int totalReadTrees)`
    `void` | `setTotalSize(long totalSize)`
    `void` | `setTotalTransfers(long totaltransfers)`
    `void` | `setTotalWrittenTrees(int totalWrittenTrees)`
    `void` | `setTransfersCompleted(long transfersCompleted)`
    `void` | `setUpdates(int updates)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### submitter

          protected String submitter

    - #### submitterEndpoint

          protected String submitterEndpoint

    - #### lastNotificationMsgSent

          protected boolean lastNotificationMsgSent

    - #### status

          protected String status

    - #### totalTransfers

          protected long totalTransfers

    - #### transfersCompleted

          protected long transfersCompleted

    - #### totalSize

          protected long totalSize

    - #### sizeTransferred

          protected long sizeTransferred

    - #### sourceID

          protected String sourceID

    - #### destID

          protected String destID

    - #### outcome

          protected String outcome

    - #### totalReadTrees

          protected int totalReadTrees

    - #### totalWrittenTrees

          protected int totalWrittenTrees

    - #### updates

          protected int updates

  - ### Constructor Detail

    - #### Transfer

          public Transfer()

  - ### Method Detail

    - #### getUpdates

          public int getUpdates()

    - #### setUpdates

          public void setUpdates(int updates)

    - #### getTotaltransfers

          public long getTotaltransfers()

    - #### setTotalTransfers

          public void setTotalTransfers(long totaltransfers)

    - #### getTransfersCompleted

          public long getTransfersCompleted()

    - #### setTransfersCompleted

          public void setTransfersCompleted(long transfersCompleted)

    - #### getTotalSize

          public long getTotalSize()

    - #### setTotalSize

          public void setTotalSize(long totalSize)

    - #### getSizeTransferred

          public long getSizeTransferred()

    - #### setSizeTransferred

          public void setSizeTransferred(Long sizeTransferred)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String transferId)

    - #### getSubmitter

          public String getSubmitter()

    - #### setSubmitter

          public void setSubmitter(String submitter)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getSubmitterEndpoint

          public String getSubmitterEndpoint()

    - #### setSubmitterEndpoint

          public void setSubmitterEndpoint(String submitterEndpoint)

    - #### isLastNotificationMsgSent

          public boolean isLastNotificationMsgSent()

    - #### setLastNotificationMsgSent

          public void setLastNotificationMsgSent(boolean lastNotificationMsgSent)

    - #### getTotalTransfers

          public long getTotalTransfers()

    - #### getSourceID

          public String getSourceID()

    - #### getDestID

          public String getDestID()

    - #### getOutcome

          public String getOutcome()

    - #### setSizeTransferred

          public void setSizeTransferred(long sizeTransferred)

    - #### setSourceID

          public void setSourceID(String sourceID)

    - #### setDestID

          public void setDestID(String destID)

    - #### setOutcome

          public void setOutcome(String outcome)

    - #### getTotalReadTrees

          public int getTotalReadTrees()

    - #### getTotalWrittenTrees

          public int getTotalWrittenTrees()

    - #### setTotalReadTrees

          public void setTotalReadTrees(int totalReadTrees)

    - #### setTotalWrittenTrees

          public void setTotalWrittenTrees(int totalWrittenTrees)

Copyright © 2017. All Rights Reserved.